Name:           perl-CPAN-YACSmoke
Version:        0.03
Release:        1%{?dist}
Summary:        Yet Another CPAN Smoke Tester
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/CPAN-YACSmoke/
Source0:        file:///home/dave/mirrors/minicpan//authors/id/R/RR/RRWO/CPAN-YACSmoke-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
BuildRequires:  perl(Config::IniFiles)
BuildRequires:  perl(CPANPLUS) >= 0.051
BuildRequires:  perl(File::HomeDir) >= 0.06
BuildRequires:  perl(File::Spec) >= 0.88
BuildRequires:  perl(LWP::Simple)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Module::Pluggable) >= 2.5
BuildRequires:  perl(Regexp::Assemble) >= 0.06
BuildRequires:  perl(Sort::Versions) >= 1.5
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Reporter) >= 1.25
BuildRequires:  perl(URI)
BuildRequires:  perl(YAML) >= 0.35
Requires:       perl(Config::IniFiles)
Requires:       perl(CPANPLUS) >= 0.051
Requires:       perl(File::HomeDir) >= 0.06
Requires:       perl(File::Spec) >= 0.88
Requires:       perl(LWP::Simple)
Requires:       perl(Module::Pluggable) >= 2.5
Requires:       perl(Regexp::Assemble) >= 0.06
Requires:       perl(Sort::Versions) >= 1.5
Requires:       perl(Test::Reporter) >= 1.25
Requires:       perl(URI)
Requires:       perl(YAML) >= 0.35
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module uses the backend of CPANPLUS to run tests on modules recently
uploaded to CPAN and post results to the CPAN Testers list.

%prep
%setup -q -n CPAN-YACSmoke-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes examples README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon May 07 2012 Dave Cross <dave@mag-sol.com> 0.03-1
- Specfile autogenerated by cpanspec 1.78.
